#ifndef CM3000_H
#define CM3000_H

enum{
	DEFAULT_TIMER 		= 1000,	// 1 second blink period for the activity led
	CM3000_AM_ID		= 0x01,	// TestCM5000 AM ID
	UART_DATA_SIZE		= 20,   // Number of audio bytes in an UART frame
	NB_UART_FRAME		= 1,    // if 1, capture 1 frame and send it immediately. if 2..4, then aggregate 2..4 frames before transmission. if 6, then skip the 6th and last
	MAX_UART_FRAME		= 3,	// Max number of UART_DATA_SIZE bytes frames to wait before transmission
	MAX_DATA_SIZE 		= 120   // max memory space for storing audio data before transmission
};

#endif
